DORMANTno replies

[PATCH] Log ref changes made by quiltimport.

From: Shawn Pearce <hidden>
Date: 2016-06-15 22:42:33
Subsystem: the rest · Maintainer: Linus Torvalds

When importing a quilt patch to a branch which has a reflog record
the update to HEAD with a log message indicating the change was
made by quiltimport and what patch caused the change.

Signed-off-by: Shawn O. Pearce <redacted>
---
 Aside from git-resolve and git-clone this is the last shell script
 which didn't include a log message when invoking update-ref.  So
 here it is.  :-)

 git-quiltimport.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index 86b51ab..9f16e18 100755
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
@@ -112,7 +112,7 @@ for patch_name in $(cat "$QUILT_PATCHES/
 		git-apply --index -C1 "$tmp_patch" &&
 		tree=$(git-write-tree) &&
 		commit=$((echo "$SUBJECT"; echo; cat "$tmp_msg") | git-commit-tree $tree -p $commit) &&
-		git-update-ref HEAD $commit || exit 4
+		git-update-ref -m "quiltimport: $patch_name" HEAD $commit || exit 4
 	fi
 done
 rm -rf $tmp_dir || exit 5
-- 
1.4.1.gc48f
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help